=== debian/control ===
Source: ros-iron-lanelet2-python
Section: misc
Priority: optional
Maintainer: Fabian Poggenhans <fabian.poggenhans@kit.edu>
Build-Depends: debhelper (>= 9.0.0), libboost-python-dev, libgtest-dev <!nocheck>, ros-iron-ament-cmake-core, ros-iron-lanelet2-core, ros-iron-lanelet2-io, ros-iron-lanelet2-projection, ros-iron-lanelet2-routing, ros-iron-lanelet2-traffic-rules, ros-iron-mrt-cmake-modules, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-lanelet2-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-python-dev, ros-iron-lanelet2-core, ros-iron-lanelet2-io, ros-iron-lanelet2-projection, ros-iron-lanelet2-routing, ros-iron-lanelet2-traffic-rules, ros-iron-mrt-cmake-modules, ros-iron-ros-workspace
Description: Python bindings for lanelet2
